routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use \App\Http\Middleware\SessionExpired;
use App\Http\Middleware\CheckShopPlan;
use App\Http\Middleware\verifyMobile;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('config','AdminController@config')->name('config');
Route::get('about', 'ShopController@index')->name('about');
Route::post('frontAjax','AdminController@frontAjax')->name('frontAjax');
Route::get('/', 'ShopController@store')->name('store');
Route::get('allShops', 'ShopController@allShops')->name('allShops');
Route::get('guilds', 'ShopController@guilds')->name('guilds');
//Route::get('categories/{title}/{id}', 'ShopController@categories')->name('categories');
Route::get('AdvanceCategorie/{province}/{city}/{cat}', 'ShopController@getProductPaginate')->name('advanceCategory');
Route::get('blogCategorie/{cat}/{id}', 'ShopController@blog_categories')->name('blogCategory');
//Route::get('paginatePros/{province}/{city}/{cat}', 'ShopController@getProductPaginate')->name('paginatePro');
Route::get('blog', 'ShopController@blog')->name('blog');
Route::get('blog/article/{id}', 'ShopController@article')->name('article');
Route::get('shop/{name}/cat/{id}/{title}', 'ShopController@get_products_by_cat')->name('cat.products');
Route::get('shop/{name}/services', 'ShopController@shop_services')->name('services');
Route::get('shop/{name}/gallery', 'ShopController@shop_gallery')->name('shop-gallery');
Route::get('shop/{name}/blog', 'ShopController@shop_blog')->name('shop-blog');
Route::get('shop/{name}/blog/{id}', 'ShopController@shop_article')->name('shop-article');
Route::get('shop/services/{id}', 'ShopController@service')->name('show_service');


Route::get('shop/{unique_name}', 'ShopController@singleshop')->name('singleshop');
Route::get('shop/cart/{id}', 'ShopController@addToCart')->name('addToCart');
Route::get('shop/product/{slug}/{id}', 'ShopController@product')->name('singleProduct');
Route::get('shoppingCart', 'ShopController@ShoppingCart')->name('ShoppingCart')->middleware('auth');
Route::post('bill', 'ShopController@bill')->name('bill');
Route::post('deleteCart', 'ShopController@deleteCart')->name('deleteCart');
Route::get('prePay','ShopController@payment')->name('payment');
Route::get('payment/response/{customer_factor_id}','ShopController@paymentResponse')->name('paymentResponse');
Route::get('change-password', 'AdminController@change_password')->name('change_password');
Route::post('verify-user-mobile','AdminController@verify_user_mobile')->name('verify_user_mobile');
Route::post('verify-code','AdminController@verify_code')->name('verify-code');
Route::post('update-pass','AdminController@update_pass')->name('update-pass');
Route::get('show-change-pass', 'AdminController@show_change_pass')->name('show-change-pass');





Route::prefix('admin')->middleware('auth', 'sessionExpired','verifyMobile')->group(function () {
    Route::get('info', 'AdminShopController@shopInfo')->name('shopInfo');
    Route::get('buy-plan', 'AdminShopController@buy_plan')->name('buy_plan');
    Route::get('buy-plan-result/{id}', 'AdminShopController@buy_plan_result')->name('buy_plan_result');
    Route::post('plan-purchase','AdminShopController@plan_purchase')->name('plan-purchase');
    Route::post('verifyMobile','AdminController@verifyMobile')->name('verifyMobile');
    Route::get('change-mobile', 'AdminController@change_mobile')->name('change_mobile');
    Route::post('update-mobile','AdminController@update_mobile')->name('update_mobile');





    Route::prefix('shop')->middleware('CheckShopPlan')->group(function (){
        Route::post('info/upload', 'AdminShopController@imageup')->name('imageup');
        Route::post('storeShopInfo', 'AdminShopController@store')->name('storeShopInfo');
        Route::get('ShopuploadForm', 'AdminShopController@ShopuploadForm')->name('ShopuploadForm');
        Route::get('edit/{id}', 'AdminShopController@ShopInfoEdit')->name('EditShopInfo');
        Route::patch('/{id}', 'AdminShopController@UpdateInfo')->name('UpdateInfo');
        Route::get('roles', 'AdminShopController@shopRoles')->name('shopRoles');
        Route::delete('shopDeleteRole/{id}', 'AdminShopController@destroyRole')->name('shopDeleteRole');
        Route::get('createRole', 'AdminShopController@createRole')->name('createRole');
        Route::post('saveRole', 'AdminShopController@saveRole')->name('saveRole');
        Route::get('roles/edit/{id}', 'AdminShopController@editRoles')->name('editRoles');
        Route::patch('updateRole/{id}', 'AdminShopController@updateRole')->name('updateRole');
        Route::get('gallery', 'AdminShopController@gallery')->name('gallery');
        Route::post('setGallery', 'AdminShopController@setGallery')->name('setGallery');
        Route::post('deleteGalleryImg', 'AdminShopController@deleteGalleryImg')->name('deleteGalleryImg');
        Route::post('deleteGalleryFile', 'AdminShopController@deleteGalleryFile')->name('deleteGalleryFile');
        Route::resource('article','AdminArticleController');
        Route::get('article-category','AdminArticleController@category')->name('article-category');
        Route::get('article-category/edit/{id}','AdminArticleController@category_edit')->name('article-category-edit');
        Route::get('article-category/new','AdminArticleController@category_new')->name('article-category-new');

        Route::get('article-comments','AdminCommentsController@article_comments')->name('article-comments');
        Route::get('product-comments','AdminCommentsController@product_comments')->name('product-comments');
        Route::get('all-comments','AdminCommentsController@all_comments')->name('all-comments');


        Route::get('personnel/dashboard','AdminPersonnelController@dashboard')->name('personnelDashboard');
        Route::resource('personnel', 'AdminPersonnelController');
        Route::post('personnel/setUserRole/{id}', 'AdminPersonnelController@setUserRole')->name('setUserRole');
        Route::get('logs', 'AdminPersonnelController@logs')->name('userLogs');


        Route::resource('category', 'AdminCategoryController');

        Route::resource('product', 'AdminProductController');
        Route::get('newProduct', 'AdminProductController@new_product')->name('newProduct');

        Route::get('products/dashboard','AdminProductController@dashboard')->name('productDashboard');
        Route::get('factor/purchases/{id}', 'AdminProductController@factorPurchase')->name('factorPurchase');
        Route::get('factor/purchases/close/{id}', 'AdminProductController@savePurchase')->name('savePurchase');
        Route::get('factor/payment/close/{id}', 'AdminProductController@savePayment')->name('savePayment');
        Route::get('sell', 'AdminProductController@sell')->name('sell');
        Route::get('guaranty', 'AdminProductController@guaranty')->name('guaranty');
        Route::get('guarantyTracking', 'AdminProductController@guarantyTracking')->name('guarantyTracking');
        Route::get('guarantyTracking/set/{id}/{step}', 'AdminProductController@SetGuarantyTracking')->name('setGuarantyTracking');
        Route::get('guarantyinfo/{id}/', 'AdminProductController@guarantyinfo')->name('guarantyinfo');
        Route::post('accept-guaranty', 'AdminProductController@accept_guaranty')->name('accept_guaranty');
        Route::get('editbuyFactor/{id}', 'AdminProductController@editbuyFactor')->name('editbuyFactor');
        Route::get('editsellFactor/{id}', 'AdminProductController@editsellFactor')->name('editsellFactor');
        Route::get('editFactorProduct/{id}', 'AdminProductController@editFactorProduct')->name('editFactorProduct');
        Route::get('sellFactor/{id}', 'AdminProductController@sellFactor')->name('sellFactor');
        Route::post('searchGuaranty', 'AdminProductController@searchGuaranty')->name('searchGuaranty');
        Route::post('UploadProductFiles/{id}', 'AdminProductController@UploadProductFiles')->name('UploadProductFiles');
        Route::delete('UploadProductFiles/{id}', 'AdminProductController@DelUploadProductFiles')->name('DelUploadProductFiles');
        Route::post('deleteUploaded', 'AdminProductController@deleteUploaded')->name('deleteUploaded');

        Route::get('accountant', 'AdminAccountantController@accountant')->name('accountant');
        Route::get('accountant/dashboard','AdminAccountantController@dashboard')->name('accountantDashboard');
        Route::get('offlineAcc', 'AdminAccountantController@offlineAcc')->name('offlineAcc');
        Route::get('onlineAcc', 'AdminAccountantController@onlineAcc')->name('onlineAcc');
        Route::get('Accounts', 'AdminAccountantController@Accounts')->name('accounts');
        Route::get('Accounts/create', 'AdminAccountantController@createAccount')->name('accounts.create');
        Route::get('Accounts/edit/{id}', 'AdminAccountantController@editAccount')->name('accounts.edit');
        Route::post('Accounts/store', 'AdminAccountantController@store')->name('accounts.store');
        Route::patch('Accounts/update/{id}', 'AdminAccountantController@updateAccount')->name('accounts.update');
        Route::get('Accounts/newOutgo', 'AdminAccountantController@newOutgo')->name('newOutgo');
        Route::post('Accounts/saveOutgo', 'AdminAccountantController@saveOutgo')->name('saveOutgo');
        Route::get('unpaidFactors', 'AdminAccountantController@unpaid_factors')->name('unpaidFactors');


        Route::get('storage/dashboard','AdminStorageController@dashboard')->name('storageDashboard');
        Route::get('ioProduct', 'AdminStorageController@ioProduct')->name('ioProduct');

app/Http/Livewire/Accountant/AddAcc.php
<?php

namespace App\Http\Livewire\Accountant;

use App\Account;
use App\BankAccInfo;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Livewire\Component;
use function Symfony\Component\Translation\t;

class AddAcc extends Component
{
    public $banks;
    public $name;
    public $bank;
    public $owner_name;
    public $owner_family;
    public $acc_type;
    public $amount;
    public $type;
    public $cheque_bank;

    protected $rules=[
        'type'=>'required|integer',
        'name'=>'required',
        'amount'=>'required_if:type,==,1,2',
        'owner_name'=>'required_if:type,==,2',
        'bank'=>'required_if:type,==,2',
        'owner_family'=>'required_if:type,==,2',
        'acc_type'=>'required_if:type,==,2',

    ];
    protected $messages=[
        'name.required'=>'نام حساب را وارد کنید',
        'bank.required'=>'نام بانک را انتخاب کنید',
        'owner_name.required'=>'نام صاحب حساب را وارد کنید',
        'owner_family.required'=>'نام خانوادگی صاحب حساب را وارد کنید',
        'acc_type.required'=>'نوع حساب را انتخاب کنید',
        'amount.integer'=>'موجودی حساب را به صورت عدد وارد کنید',
        'amount.required'=>'موجودی حساب را وارد کنید',
        'type.integer'=>'نوع حساب را انتخاب کنید',
        'type.required'=>'نوع حساب را انتخاب کنید',
    ];

    public function updated($type)
    {
        $this->validateOnly($type);
     }

    public function add_acc()
    {
        $this->validate();
        if (Auth::user()->role->name == 'مدیر' || Auth::user()->role->name == 'مالک' || Auth::user()->shoprole->roles->accountant == 1) {
            $account = new Account();
            $account->shop_id = Auth::user()->shop_id;
            $account->name = $this->name;
            $account->owner_type = 'self';
            $account->type_id=$this->type;
            if ($this->type=='3'){
                $bank=Account::find($this->cheque_bank);
                $account->owner_id=$bank->id;
                $account->amount=$bank->amount;
                $account->save();
            }else{
                $account->amount = $this->amount;
            }
            $account->save();
            if ($this->type=='2'){
                $bank_info=new BankAccInfo();
                $bank_info->account_id=$account->id;
                $bank_info->owner_name=$this->owner_name;
                $bank_info->owner_family=$this->owner_family;
                $bank_info->acc_type=$this->acc_type;
                $bank_info->bank=$this->bank;
                $bank_info->save();
            }

            Session::put('success','حساب جدید ایجاد شد.');
            return redirect(route('accounts'));
        } else {
            return 403;
        }
    }


    public function render()
    {
        return view('livewire.accountant.add-acc');
    }
}

app/Http/Livewire/Accountant/Outgo/SetBill.php
<?php

namespace App\Http\Livewire\Accountant\Outgo;

use App\Account;
use App\Outgo;
use App\Outgo_Bill;
use App\Outgo_Charak_Service;
use App\Outgo_Other;
use App\Outgo_Salary;
use Hekmatinasser\Verta\Facades\Verta;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class SetBill extends Component
{
    public $accounts;

    public $name;
    public $price;
    public $bill_id;
    public $payment_code;
    public $tracking_id;
    public $source;

    protected $rules=[
        'price'=>'required|integer',
        'name'=>'required',
        'bill_id'=>'required|integer',
        'payment_code'=>'required|integer',
        'tracking_id'=>'required|integer',
        'source'=>'required|integer',
    ];
    protected $messages=[
        'name.required'=>'نام قبض را وارد کنید',
        'price.required'=>'مقدار قبض را وارد کنید',
        'price.integer'=>'مقدار قبض را به صورت عدد وارد کنید',
        'bill_id.required'=>'شناسه قبض را وارد کنید',
        'bill_id.integer'=>'شناسه قبض را به صورت عدد وارد کنید',
        'payment_code.required'=>'شناه پرداخت را وارد کنید',
        'payment_code.integer'=>'شناسه پرداخت را به صورت عدد وارد کنید',
        'acc_type.required'=>'نوع حساب را انتخاب کنید',
        'tracking_id.integer'=>'کد پیگیری را به صورت عدد وارد کنید',
        'tracking_id.required'=>'کد پیگیری را وارد کنید',
        'source.required'=>' حساب را انتخاب کنید',
        'source.integer'=>' حساب را انتخاب کنید',
    ];

    public function updated($name)
    {
        $this->validateOnly($name);
    }

    public function set_bill()
    {
        $this->validate();

        $outgo=new Outgo();
        $outgo->shop_id=Auth::user()->shop_id;
        $outgo->user_id=Auth::id();
        $outgo->source_id=$this->source;
        $outgo->source_type=Account::class;
        $outgo->price=$this->price;

        $bill=new Outgo_Bill();
        $bill->price=$this->price;
        $bill->name=$this->name;
        $bill->bill_id=$this->bill_id;
        $bill->payment_code=$this->payment_code;
        $bill->tracking_id=$this->tracking_id;
        $bill->save();

        $outgo->type='offline';
        $outgo->target_type=Outgo_Bill::class;
        $outgo->target_id=$bill->id;
        $outgo->save();

        $account=Account::where([['shop_id',Auth::user()->shop_id],['owner_type','self'],['id',$this->source]])->first();
        $account->amount-=$this->price;
        $account->save();
        return redirect(route('offlineAcc'));
    }

    public function render()
    {
        return view('livewire.accountant.outgo.set-bill');
    }
}

app/Http/Livewire/Accountant/Outgo/SetCharakServices.php
<?php

namespace App\Http\Livewire\Accountant\Outgo;

use App\Account;
use App\Outgo;
use App\Outgo_Charak_Service;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class SetCharakServices extends Component
{
    public $accounts;

    public $name;
    public $price;
    public $tracking_id;
    public $source;

    protected $rules=[
        'price'=>'required|integer',
        'name'=>'required',
        'tracking_id'=>'required|integer',
        'source'=>'required|integer',
    ];
    protected $messages=[
        'name.required'=>'نام سرویس را وارد کنید',
        'price.required'=>'مقدار  را وارد کنید',
        'price.integer'=>'مقدار  را به صورت عدد وارد کنید',
        'tracking_id.integer'=>'کد پیگیری را به صورت عدد وارد کنید',
        'tracking_id.required'=>'کد پیگیری را وارد کنید',
        'source.required'=>' حساب را انتخاب کنید',
        'source.integer'=>' حساب را انتخاب کنید',
    ];
    public function updated($name)
    {
        $this->validateOnly($name);
    }


    public function set_charak_services()
    {
        $this->validate();
        $outgo=new Outgo();
        $outgo->shop_id=Auth::user()->shop_id;
        $outgo->user_id=Auth::id();
        $outgo->source_id=$this->source;
        $outgo->price=$this->price;

        $charak=new Outgo_Charak_Service();
        $charak->price=$this->price;
        $charak->target=$this->name;
        $charak->tracking_id=$this->tracking_id;
        $charak->save();

        $outgo->target_type=Outgo_Charak_Service::class;
        $outgo->target_id=$charak->id;
        $outgo->type='online';
        $outgo->source_type=Account::class;
        $outgo->save();

        $account=Account::where([['shop_id',Auth::user()->shop_id],['owner_type','self'],['id',$this->source]])->first();
        $account->amount-=$this->price;
        $account->save();
        return redirect(route('offlineAcc'));
    }



    public function render()
    {
        return view('livewire.accountant.outgo.set-charak-services');
    }
}

resources/views/livewire/products/add-product.blade.php
<div>
    <form wire:submit.prevent="add_pro">
    <div class="row px-4 d-flex pb-5">
        <div class="row w-100 mt-3 justify-content-center align-items-start ">
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted">شماره فاکتور:</h6>
                @if($factor==null)
                    {!! Form::text('f_num',null,['class'=>'form-control','id'=>'f_num','wire:model.lazy="f_num"']) !!}
                    @error('f_num') <span class="text-danger mt-3">{{$message}}</span>@enderror
                @else
                    <label class="form-control">{{$factor->f_num}}</label>
                    {!! Form::text('f_num',$factor->f_num,['class'=>'form-control d-none','id'=>'f_num','wire:model.lazy="f_num"']) !!}
                    @error('f_num') <span class="text-danger mt-3">{{$message}}</span>@enderror
                @endif
            </div>
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted"> قیمت کل فاکتور:</h6>
                @if($factor==null)
                    {!! Form::text('total_price',0,['class'=>'form-control','disabled'=>'disabled','wire:model.lazy="total_price"']) !!}
                    @error('total_price') <span class="text-danger mt-3">{{$message}}</span>@enderror
                @else
                    {!! Form::text('total_price',$factor->total_price,['class'=>'form-control','disabled'=>'disabled','wire:model.lazy="total_price"']) !!}
                    @error('total_price') <span class="text-danger mt-3">{{$message}}</span>@enderror
                @endif
            </div>
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted"> تاریخ:</h6>
                @if($factor==null)
                    {!! Form::text('f_date',null,['class'=>'form-control','id'=>'f_date','wire:model.lazy="f_date"']) !!}
                    @error('f_date') <span class="text-danger mt-3">{{$message}}</span>@enderror
                @else
                    {!! Form::text('f_date',$factor->f_date,['class'=>'form-control','id'=>'f_date','wire:model.lazy="f_date"']) !!}
                    @error('f_date') <span class="text-danger mt-3">{{$message}}</span>@enderror
                @endif
            </div>
        </div>
        <div class="row w-100 mt-3 justify-content-between align-items-start ">
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted">نام کالا:</h6>
                {!! Form::text('title',null,['class'=>'form-control','id'=>'p_name','wire:model.lazy="title"']) !!}
                @error('title') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted"> گروه کالا:</h6>
                <div class="autocomplete" style="width:300px;">
                    <input type="text" name="cat_id" id="cat" class="cat d-none">
                    {!! Form::text('cat',null,['Autocomplete'=>'off','class'=>'form-control','id'=>'cats','wire:model.lazy="cat"']) !!}
                    @error('cat') <span class="text-danger mt-3">{{$message}}</span>@enderror
                </div>
            </div>
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted">فروشنده:</h6>
                <input type="text" name="provider_id" id="provider" class="provider d-none">
                @if($factor==null)
                    <div class="autocomplete" style="width:300px;">
                        {!! Form::text('provider_co',null,['Autocomplete'=>'off','class'=>'form-control','id'=>'providers','wire:model.lazy="provider_co"']) !!}
                        @error('provider_co') <span class="text-danger mt-3">{{$message}}</span>@enderror
                    </div>
                @else
                    {!! Form::text('provider_co',$factor->provider->name." ".$factor->provider->family,['class'=>'form-control','id'=>'providers','wire:model.lazy="provider_co"']) !!}
                    @error('provider_co') <span class="text-danger mt-3">{{$message}}</span>@enderror
                @endif
            </div>
        </div>
        <div class="row w-100 mt-3 justify-content-center align-items-start ">
            <div class="col-12 mt-3 col-md-3 text-right">
                <h6 class="text-muted"> تعداد:</h6>
                {!! Form::text('qty',null,['class'=>'form-control','id'=>'qty','wire:model.lazy="qty"']) !!}
                @error('qty') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
            <div class="col-12 mt-3 col-md-3 text-right">
                <h6 class="text-muted">قیمت خرید(تومان):</h6>
                {!! Form::text('buy_price',null,['class'=>'form-control','id'=>'buy_price','wire:model.lazy="buy_price"']) !!}
                @error('buy_price') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
            <div class="col-12 mt-3 col-md-3 text-right">
                <h6 class="text-muted">قیمت فروش(تومان):</h6>
                {!! Form::text('sell_price',null,['class'=>'form-control','id'=>'sell_price','wire:model.lazy="sell_price"']) !!}
                @error('sell_price') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
            <div class="col-12 mt-3 col-md-3 text-right">
                <h6 class="text-muted">قیمت عمده(تومان):</h6>
                {!! Form::text('whole_price',null,['class'=>'form-control','id'=>'whole_price','wire:model.lazy="whole_price"']) !!}
                @error('whole_price') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>

        </div>
        <div class="row w-100 mt-3 " wire:ignore>
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted">گارانتی:</h6>
                <select name="guaranty" class="form-control" id="guaranty" wire:model.lazy="guaranty">
                    <option value="false">ندارد</option>
                    <option value="true">دارد</option>
                </select>
                @error('guaranty') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
            <div class="col-12 mt-3 col-md-4 text-right d-none guaranty-section" wire:ignore>
                <h6 class="text-muted">مدت گارانتی:</h6>
                <div class="row w-100">
                    <div class="col-12 col-md-6">
                        {!! Form::text('duration',0,['class'=>'form-control','id'=>'guaranty_duration','wire:model.lazy="duration"']) !!}
                        @error('duration') <span class="text-danger mt-3">{{$message}}</span>@enderror
                    </div>
                    <div class="col-12 col-md-6">
                        <select name="duration_unit" class="form-control" wire:model.lazy="duration_unit">
                                id="guaranty_unit">
                            <option value="day">روز</option>
                            <option value="month">ماه</option>
                            <option value="year">سال</option>
                        </select>
                        @error('duration_unit') <span class="text-danger mt-3">{{$message}}</span>@enderror
                    </div>
                </div>
            </div>
            <div class="col-12 mt-3 col-md-4 text-right d-none guaranty-section">
                <h6 class="text-muted">شروع از:</h6>
                <select name="guaranty_start" class="form-control" id="guaranty_start" wire:model.lazy="guaranty_start">
                    <option value="sell_date">فاکتور فروش</option>
                    <option value="buy_date">فاکتور خرید</option>
                </select>
                @error('guaranty_start') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
        </div>

        <div class="row w-100 mt-3 justify-content-center align-items-start ">
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted">کلیدواژه ها:</h6>
                {!! Form::text('keyword',null,['class'=>'form-control','id'=>'keywords','wire:model.lazy="keyword"']) !!}
                @error('keyword') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
            <div class="col-12 mt-3 col-md-4 text-right">
                <h6 class="text-muted">بارکد:</h6>
                {!! Form::number('barcode',null,['class'=>'form-control','id'=>'barcode','wire:model.lazy="barcode"']) !!}
                @error('barcode') <span class="text-danger mt-3">{{$message}}</span>@enderror
            </div>
        </div>
        <div class="row w-100 mt-3 justify-content-center align-items-start ">
            <div class="col-12 mt-3 col-md-8 text-right">
                <h6 class="text-muted"> توضیحات:</h6>
                {!! Form::textarea('desc',null,['class'=>'form-control','id'=>'desc','wire:model.lazy="desc"']) !!}
                @error('desc') <span class="text-danger mt-3">{{$message}}</span>@enderror
                <script>
                    CKEDITOR.replace('desc', {
                        language: 'fa',
                        // uiColor: '#9AB8F3'
                    });
                </script>
            </div>
        </div>
        <div class="row w-100 mt-3 justify-content-center align-items-start ">
            <div class="col-12 mt-3 col-md-8 text-right">
                <div class="d-none col-12 inp-upload mt-3 col-md-4 text-right">
                    <h6 class="text-muted">تصویر:</h6>
                    <input type="file" class="filepond" name="image"
                           data-allow-reorder="true"
                           data-max-file-size="3MB"
                           accept="image/png, image/jpeg, image/gif"/>
                </div>
                <div class="d-none  col-12 inp-upload mt-3 col-md-4 text-right">
                    <h6 class="text-muted">فایل:</h6>
                    <input type="file" class="filepond" name="file"
                           data-allow-reorder="true"
                           data-max-file-size="200MB"/>
                </div>
            </div>
        </div>
        <span class="product_id d-none"></span>
        <div class="row w-100 mt-5 mb-5 justify-content-center align-items-start ">
            <div class="col-12 mt-3 col-md-4 text-center">
                <button type="submit" name="save" id="add" value="save"
                        class="btn btn-success w-50">ثبت
                </button>
            </div>
            <div class="col-12 mt-3 col-md-4 text-center">
                <button type="submit" name="save" id="purchase" value="save"
                        class="d-none btn btn-primary w-50">ذخیره فاکتور
                </button>
            </div>
            <div class="col-12 mt-3 col-md-4 text-center">
                <a class="btn btn-danger w-50 " href="{{route('product.index')}}">انصراف</a>

            </div>
        </div>
    </div>
    </form>
    <table class="table table-bordered table-responsive-md table-hover table-striped"
           id="products_table">
        <tr class="table-header">
            <th>نام محصول</th>
            <th>گروه کالا</th>
            <th>قیمت خرید(واحد)</th>
            <th>قیمت فروش(واحد)</th>
            <th>تعداد</th>
        </tr>
        @if($factor!=null)
            @foreach($factor->in_products as $pro)
                <tr>
                    <th>{{$pro->product->name}}</th>
                    <th>{{$pro->product->category->title}}</th>
                    <th>{{$pro->product->buy_price}}</th>
                    <th>{{$pro->product->sell_price}}</th>
                    <th>{{$pro->product->quantity}}</th>
                </tr>
            @endforeach
        @endif
    </table>
</div>